Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.framework
Class EPPEventResponse

    java.lang.Object
      com.verisign.epp.framework.EPPEventResponse

    public class EPPEventResponse

extends java.lang.Object

The `EPPEventResponse` class contains an EPPMessage and is the class EPPEventHandlers use to return responses.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $
See Also:
  `EPPEventHandler`

Field Summary
`protected EPPMessage` | `theResponse` The `EPPMessage` that this EPPEventResponse contains

Constructor Summary
`EPPEventResponse(EPPMessage aResponse)` Create an `EPPEventResponse`

Method Summary
`EPPMessage` | `getResponse()` Gets this EPPEventResponse's `EPPMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### theResponse

    protected EPPMessage theResponse

  The `EPPMessage` that this EPPEventResponse contains

Constructor Detail

### EPPEventResponse

    public EPPEventResponse(EPPMessage aResponse)

  Create an `EPPEventResponse`

  Parameters:
    `aResponse` - An `EPPMessage` to contain

Method Detail

### getResponse

    public EPPMessage getResponse()

  Gets this EPPEventResponse's `EPPMessage`

  Returns:
    This EPPEventResponse's `EPPMessage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.